Subject: Re: [netmod] FYI - YANG and YANG Common Types in the datatracker

From: "tom.petch" <[email-masked]>
Date: Thu, 4 Mar 2010 16:54:15 +0100

David

A recent post said that the write-up of yang was about to start.

I have been quiet on this list lately, and although my focus has been on other
things, there is also an element of giving up, because, while much is right in
yang, I
think that there are also fundamental errors.  This is nothing new, just a
reflection on the discussions that started mid-2008 when some of Andy's pointed
questions elicited replies that made me realise that what the I-D 'clearly' said
was not what it meant.  I think that 'data cycle' is the phrase I would use,
what exists
where and when.

As the archives show, not many people participated in this discussion, and I saw
no clear consensus, but consensus was declared and looking back, that more
or less coincides with the start of my quiet period.  Again, as the archives
show, when I was able to keep up (which wasn't as often as I would have liked),
I
was agreeing with Andy and Lada, although over time, I think that Andy changed
his mind more than I did.

I do see yang as a wasted opportunity, when the WG has come to the wrong answer,
and has done so with - perhaps because of - too few participants.  Sometimes
IETF Last Call is a chance to test out this hypothesis but not, I think, this
time; the scope is too vast, the killer details too well hidden.  (Perhaps a
document about the architecture of yang would make this clearer:-)

So I will read the write-up with interest.  My own perception of those 18 months
of discusssions was that there were too few people involved, too few with
experience of data models.

I am not saying that I will raise again issues where consensus has been
declared,
although if we had a Data Model Directorate I would want to see them reviewing
it and if questions do arise during LC, I might chip in with explanatory text.

Tom Petch

----- Original Message -----
From: "David Partain" <[email-masked]>
To: <[email-masked]>
Sent: Thursday, February 25, 2010 11:41 PM
Subject: [netmod] FYI - YANG and YANG Common Types in the datatracker

> Hi,
>
> For those interested, our first two documents are in the tracker:
>
> https://datatracker.ietf.org/doc/draft-ietf-netmod-yang/
>
> https://datatracker.ietf.org/doc/draft-ietf-netmod-yang-types/
>
> Cheers,
>
> David^2
>
> _______________________________________________
> netmod mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netmod

---

From: Andy Bierman <[email-masked]>
Date: Thu, 04 Mar 2010 11:09:13 -0800

Hi Tom,

> David

This is kind of a content-free complaint about YANG.
What exactly was not fixed in mid-2008 that concerns you?

Nobody thinks YANG is perfect.  I think it is plenty good
enough to be a Proposed Standard.  There are companies
shipping YANG, not just implementing it.

I don't agree that this WG lacks the expertise for
the problem space it is addressing.  The archive shows that
there has been a lot of participation, probably above IETF averages.

Andy

---

From: Ladislav Lhotka <[email-masked]>
Date: Fri, 05 Mar 2010 10:03:20 +0100

> there has been a lot of participation, probably above IETF averages.

I essentially agree with Andy. True, YANG is not perfect and some of its
features are maybe too powerful (and hence dangerous), but I am now
convinced it is a useful formalism for the given problem space.
Personally, the fact than it is still possible to map YANG data models
quite closely to DSDL gives me some confidence that we haven't moved too
far from the safe territory yet.

Lada

-- 
Ladislav Lhotka, CESNET
PGP Key ID: E74E8C0C